%define	name	OpenSceneGraph
%define	version	2.8.0
%define	release	%mkrel 1

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+ with exceptions
Group:		System/Libraries
Source0:	http://www.openscenegraph.org/downloads/developer_releases/%name-%version.zip
Patch1:		OpenSceneGraph-2.6.1-linkage.patch
URL:		http://www.openscenegraph.org/
BuildRequires:	png-devel tiff-devel ungif-devel jpeg-devel jasper-devel
BuildRequires:	gdal-devel freetype2-devel mesaglut-devel libxine-devel
BuildRequires:	curl-devel gtk+2-devel gtkglext-devel librsvg-devel
BuildRequires:	wxgtku2.8-devel
BuildRequires:	cmake
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Open Scene Graph is a cross-platform C++/OpenGL library for the real-time 
visualization. Uses range from visual simulation, scientific modeling, virtual 
reality through to games.  Open Scene Graph employs good practices in software
engineering through the use of standard C++, STL and generic programming, and
design patterns.  Open Scene Graph strives for high performance and quality in
graphics rendering, protability, and extensibility.

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt
%doc doc/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/osgPlugins-%{version}

#------------------------------------------------------------------

%package devel
Summary:	Development package for %name
Group:		Development/C++
Requires:	%{name} = %{version}

%description devel
This package contains development files for %name

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/openscenegraph.pc
%{_libdir}/pkgconfig/openthreads.pc

#------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0

%build
%cmake
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std -C build

%clean
%{__rm} -rf %{buildroot}


%changelog
* Sat Feb 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.8.0-1mdv2009.1
+ Revision: 346183
- Update to new version 2.8.0
- Remove Werror=format-scurity patch: integrated upstream
- used %%{buildroot} macro in SPEC file instead of $RPM_BUILD_ROOT

* Sun Feb 01 2009 Funda Wang <fundawang@mandriva.org> 2.6.1-2mdv2009.1
+ Revision: 336057
- add more BRs

* Sat Jan 31 2009 Funda Wang <fundawang@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 335875
- New version 2.6.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix mesaglu-devel BR
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - import OpenSceneGraph

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jan 13 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0-1mdk
- 1.0.0
- %%mkrel

* Mon Nov 24 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6-2
- fix buildrequires (lib64..)
- drop -fPIC, flag already in makefile now:)

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.4-2mdk
- fixed buildrequires
- fixed file permissions
- added docs

* Wed Apr 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.4-1mdk
- initial mdk release
